Module javafx.graphics
Package javafx.application

# Class Application.Parameters

java.lang.Object
javafx.application.Application.Parameters

Enclosing class:
  `Application`

public abstract static class Application.Parameters extends Object
Encapsulates the set of parameters for an application. This includes arguments passed on the command line.

Note that the application and the preloader both get the same set of parameters for a given run of an application.

Since:
  JavaFX 2.0

## Constructor Summary

Constructors
Constructor
Description
`Parameters()`
Constructs a new `Parameters` instance.

## Method Summary

Modifier and Type
Method
Description
`abstract Map<String,String>`
`getNamed()`
Retrieves a read-only map of the named parameters.
`abstract List<String>`
`getRaw()`
Retrieves a read-only list of the raw arguments.
`abstract List<String>`
`getUnnamed()`
Retrieves a read-only list of the unnamed parameters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Parameters

public Parameters()
Constructs a new `Parameters` instance.

## Method Details

### getRaw

public abstract List<String> getRaw()
Retrieves a read-only list of the raw arguments. This list may be empty, but is never null. In the case of a standalone application, it is the ordered list of arguments specified on the command line. For named parameters, each <name,value> pair is represented as a single argument of the form: "--name=value".

Returns:
  a read-only list of raw application arguments

### getUnnamed

public abstract List<String> getUnnamed()
Retrieves a read-only list of the unnamed parameters. This list may be empty, but is never null. The named parameters, that is the parameters that are represented as <name,value> pairs, are filtered out.

Returns:
  a read-only list of unnamed parameters.

### getNamed

public abstract Map<String,String> getNamed()
Retrieves a read-only map of the named parameters. It may be empty, but is never null. Named parameters include any command line arguments of the form: "--name=value".

Returns:
  a read-only map of named parameters.